summaryrefslogtreecommitdiffstats
path: root/multimedia/cowbell
diff options
context:
space:
mode:
author Vliegendehuiskat <vliegendehuiskat [at] gmail [dot] com>2010-07-31 21:45:48 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-07-31 21:45:48 -0500
commit99377380ae5f995b6119059b7dfb349dffc4ab5d (patch)
treee3f3cbbf514c9f800af0a4fd8a1724b041a92609 /multimedia/cowbell
parent241f247f8c67072be2729b1cd9daec9dc770d9cd (diff)
downloadslackbuilds-99377380ae5f995b6119059b7dfb349dffc4ab5d.tar.gz
slackbuilds-99377380ae5f995b6119059b7dfb349dffc4ab5d.tar.xz
multimedia/cowbell: Added (an elegant music organizer)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'multimedia/cowbell')
-rw-r--r--multimedia/cowbell/README19
-rw-r--r--multimedia/cowbell/cowbell.SlackBuild85
-rw-r--r--multimedia/cowbell/cowbell.info10
-rw-r--r--multimedia/cowbell/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/multimedia/cowbell/README b/multimedia/cowbell/README
new file mode 100644
index 0000000000..24d86a6098
--- /dev/null
+++ b/multimedia/cowbell/README
@@ -0,0 +1,19 @@
+Cowbell is an elegant, album-based, music organizer written by Brad
+Taylor in C# for Gtk+. Using TagLib, it supports many audio formats
+including:
+- Ogg/FLAC
+- MP3
+- MusePack
+
+Cowbell is tightly integrated with Amazon.com using its free SOAP
+service. Cowbell employs this service not only to fetch album cover
+images, as most tag editors do, but also in combination with intelligent
+algorithms to "guess" the appropriate song information from song titles.
+It can also cache these cover images in the same directory where that
+album resides.
+
+For you console junkies, Cowbell also offers a command-line based batch
+tagger which can tag and "guess" a whole collection of music with just a
+few keystrokes.
+
+Cowbell requires mono to be installed.
diff --git a/multimedia/cowbell/cowbell.SlackBuild b/multimedia/cowbell/cowbell.SlackBuild
new file mode 100644
index 0000000000..fd6837cee0
--- /dev/null
+++ b/multimedia/cowbell/cowbell.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for cowbell
+
+# Written by Vliegendehuiskat
+# E-mail: vliegendehuiskat [at] gmail [dot] com
+
+# Cowbell itself is released under the GPL licence.
+# You can find a copy of the GPL in the source tarball.
+
+# This script is released in the public domain.
+# I am not responsible for any consequences that follow from the use
+# of this script.
+
+PRGNAM=cowbell
+VERSION=${VERSION:-0.2.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/cowbell/cowbell.info b/multimedia/cowbell/cowbell.info
new file mode 100644
index 0000000000..b89d8b0618
--- /dev/null
+++ b/multimedia/cowbell/cowbell.info
@@ -0,0 +1,10 @@
+PRGNAM="cowbell"
+VERSION="0.2.7.1"
+HOMEPAGE="http://more-cowbell.org/"
+DOWNLOAD="http://www.more-cowbell.org/releases/cowbell-0.2.7.1.tar.gz"
+MD5SUM="fcf32bcf60be2ca204519192eb26bacc"
+DOWNLOAD_x86_64="http://www.more-cowbell.org/releases/cowbell-0.2.7.1.tar.gz"
+MD5SUM_x86_64="fcf32bcf60be2ca204519192eb26bacc"
+MAINTAINER="Vliegendehuiskat"
+EMAIL="vliegendehuiskat [at] gmail [dot] com"
+APPROVED="Erik Hanson"
diff --git a/multimedia/cowbell/slack-desc b/multimedia/cowbell/slack-desc
new file mode 100644
index 0000000000..3c3818eeca
--- /dev/null
+++ b/multimedia/cowbell/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cowbell: Cowbell (an elegant music organizer)
+cowbell:
+cowbell: Infused with Amazon Web Services SOAP-fu, Cowbell can whip your
+cowbell: music platoon into shape without even getting your boots muddy.
+cowbell: And, if that isn't enough to make you want to rush to the Download
+cowbell: link, Cowbell can also snatch album art and rename your music like
+cowbell: a pro.
+cowbell:
+cowbell: More information can be found at: http://more-cowbell.org/
+cowbell:
+cowbell: